Public Member Functions | List of all members
clan::RasterizerStateDescription Class Reference
clanDisplay Display

Rasterizer state description. More...

`#include <rasterizer_state_description.h>`

## Public Member Functions
bool | operator< (const RasterizerStateDescription &other) const
bool | operator== (const RasterizerStateDescription &other) const
Construction
| RasterizerStateDescription ()
RasterizerStateDescription | clone () const
Attributes
bool | get_culled () const
bool | get_enable_line_antialiasing () const
CullMode | get_face_cull_mode () const
FillMode | get_face_fill_mode () const
FaceSide | get_front_face () const
bool | get_enable_scissor () const
bool | get_antialiased () const
bool | get_offset_point () const
bool | get_offset_line () const
bool | get_offset_fill () const
void | get_polygon_offset (float &out_factor, float &out_units) const
float | get_point_size () const
float | get_point_fade_treshold_size () const
bool | is_point_size () const
PointSpriteOrigin | get_point_sprite_origin () const
Operations
void | set_culled (bool value)
| Enables/disables polygon cull clipping. More...
void | enable_line_antialiasing (bool enabled)
| Setting to true enables line antialiasing. More...
void | set_face_cull_mode (CullMode value)
| Sets the polygon cull clipping mode. More...
void | set_face_fill_mode (FillMode value)
| Sets the filling mode for polygons. More...
void | set_front_face (FaceSide value)
| Sets which side is the front side of a face. More...
void | enable_scissor (bool enabled)
| Enables/disables if clipping rects are used. More...
void | enable_antialiased (bool value)
| Enables/disables anti-aliasing. (clanGL only) More...
void | enable_offset_point (bool value)
| Enables/disables point offsetting. More...
void | enable_offset_line (bool value)
| Enables/disables line offsetting. More...
void | enable_offset_fill (bool value)
| Enables/disables polygon offsetting. More...
void | set_polygon_offset (float factor, float units)
| Sets the offset factor. More...
void | set_point_size (float)
| The default value is 1.0 (clanGL only) More...
void | set_point_fade_treshold_size (float)
| Alpha fade point once minimum size treshold reached. Requires multisampling to be enabled. (clanGL only) More...
void | enable_point_size (bool enable)
| Enables if points sizes is set by the vertex shader. (clanGL only) More...
void | set_point_sprite_origin (PointSpriteOrigin origin)
| Sets the origin of texture point sprites. (clanGL only) More...

## Detailed Description

Rasterizer state description.

The documentation for this class was generated from the following file:

- rasterizer_state_description.h